summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-25 18:00:50 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-25 18:00:50 +0000
commit0e922045589f60798785ca690b6d7c7907cb58e2 (patch)
tree30454c3a7f2edd445349000d2e65f832048d81f5 /dev-python
parente12fc3e5baf289e1a9636c342df6fb4d5a75c8ef (diff)
downloadbaldeagleos-repo-0e922045589f60798785ca690b6d7c7907cb58e2.tar.gz
baldeagleos-repo-0e922045589f60798785ca690b6d7c7907cb58e2.tar.xz
baldeagleos-repo-0e922045589f60798785ca690b6d7c7907cb58e2.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyQt5-python2/Manifest1
-rw-r--r--dev-python/PyQt5-python2/PyQt5-python2-5.14.2-r1.ebuild (renamed from dev-python/PyQt5/PyQt5-5.14.2.ebuild)38
-rw-r--r--dev-python/PyQt5-python2/metadata.xml44
-rw-r--r--dev-python/PyQt5-sip-python2/Manifest1
-rw-r--r--dev-python/PyQt5-sip-python2/PyQt5-sip-python2-4.19.22.ebuild (renamed from dev-python/PyQt5-sip/PyQt5-sip-4.19.22.ebuild)9
-rw-r--r--dev-python/PyQt5-sip-python2/metadata.xml18
-rw-r--r--dev-python/PyQt5-sip/Manifest1
-rw-r--r--dev-python/PyQt5-sip/PyQt5-sip-4.19.22-r1.ebuild90
-rw-r--r--dev-python/PyQt5-sip/PyQt5-sip-4.19.23-r1.ebuild (renamed from dev-python/PyQt5-sip/PyQt5-sip-4.19.23.ebuild)6
-rw-r--r--dev-python/PyQt5-sip/PyQt5-sip-4.19.24.ebuild90
-rw-r--r--dev-python/PyQt5-sip/metadata.xml2
-rw-r--r--dev-python/PyQt5/Manifest1
-rw-r--r--dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild193
-rw-r--r--dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild (renamed from dev-python/PyQt5/PyQt5-5.15.0.ebuild)28
-rw-r--r--dev-python/PyQt5/PyQt5-5.15.1.ebuild190
-rw-r--r--dev-python/PyQt5/metadata.xml2
-rw-r--r--dev-python/aiorpcX/aiorpcX-0.18.4-r1.ebuild (renamed from dev-python/aiorpcX/aiorpcX-0.18.4.ebuild)4
-rw-r--r--dev-python/aiorpcX/files/aiorpcX-0.18.4-py38.patch53
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.15.5.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.18.5.ebuild59
-rw-r--r--dev-python/gast/gast-0.3.3-r1.ebuild18
-rw-r--r--dev-python/google-auth-oauthlib/google-auth-oauthlib-0.4.1-r1.ebuild22
-rw-r--r--dev-python/ipaddr/ipaddr-2.2.0-r1.ebuild (renamed from dev-python/ipaddr/ipaddr-2.2.0.ebuild)2
-rw-r--r--dev-python/namespace-google/namespace-google-1-r1.ebuild (renamed from dev-python/namespace-google/namespace-google-1.ebuild)2
-rw-r--r--dev-python/namespace-jaraco/namespace-jaraco-2-r2.ebuild (renamed from dev-python/namespace-jaraco/namespace-jaraco-2-r1.ebuild)2
-rw-r--r--dev-python/opt-einsum/opt-einsum-3.0.1-r1.ebuild19
-rw-r--r--dev-python/paste/Manifest1
-rw-r--r--dev-python/paste/paste-3.4.5.ebuild42
-rw-r--r--dev-python/protobuf-python/protobuf-python-3.11.4-r1.ebuild (renamed from dev-python/protobuf-python/protobuf-python-3.11.4.ebuild)2
-rw-r--r--dev-python/protobuf-python/protobuf-python-3.12.2-r1.ebuild (renamed from dev-python/protobuf-python/protobuf-python-3.12.2.ebuild)2
-rw-r--r--dev-python/protobuf-python/protobuf-python-3.12.4-r1.ebuild (renamed from dev-python/protobuf-python/protobuf-python-3.12.4.ebuild)2
-rw-r--r--dev-python/protobuf-python/protobuf-python-3.13.0-r1.ebuild (renamed from dev-python/protobuf-python/protobuf-python-3.13.0.ebuild)2
-rw-r--r--dev-python/protobuf-python/protobuf-python-9999.ebuild2
-rw-r--r--dev-python/pytest-services/Manifest1
-rw-r--r--dev-python/pytest-services/pytest-services-2.2.0.ebuild51
-rw-r--r--dev-python/pytest-xprocess/Manifest1
-rw-r--r--dev-python/pytest-xprocess/metadata.xml2
-rw-r--r--dev-python/pytest-xprocess/pytest-xprocess-0.14.0.ebuild23
-rw-r--r--dev-python/python-efl/Manifest1
-rw-r--r--dev-python/python-efl/files/python-efl-1.25-clang-crosscompile.patch14
-rw-r--r--dev-python/python-efl/python-efl-1.25.0.ebuild75
-rw-r--r--dev-python/sip-python2/Manifest1
-rw-r--r--dev-python/sip-python2/files/sip-4.18-darwin.patch30
-rw-r--r--dev-python/sip-python2/metadata.xml18
-rw-r--r--dev-python/sip-python2/sip-python2-4.19.22-r1.ebuild95
-rw-r--r--dev-python/sip/Manifest2
-rw-r--r--dev-python/sip/metadata.xml2
-rw-r--r--dev-python/sip/sip-4.19.22-r1.ebuild (renamed from dev-python/sip/sip-4.19.22.ebuild)6
-rw-r--r--dev-python/sip/sip-4.19.24.ebuild (renamed from dev-python/sip/sip-4.19.23.ebuild)6
-rw-r--r--dev-python/toolz/Manifest1
-rw-r--r--dev-python/toolz/toolz-0.11.1.ebuild20
53 files changed, 1281 insertions, 74 deletions
diff --git a/dev-python/PyQt5-python2/Manifest b/dev-python/PyQt5-python2/Manifest
new file mode 100644
index 000000000000..2dc6d3f56014
--- /dev/null
+++ b/dev-python/PyQt5-python2/Manifest
@@ -0,0 +1 @@
+DIST PyQt5-5.14.2.tar.gz 3246557 BLAKE2B 0dd57da76dede97349c1af1d97cebad430dd5ae03c99b71de2e1ef1c41c1503820b0c0b1af8ddb507ffa5d6f466f7d3012db2cf625dad949dc4c962fb9e8a6a3 SHA512 56d9b2970ff50f2af0bfd889ad1226bf64087a6210cc545c5a0188352d1651343fcda9d53f04b041273f61bf31baf43af4a1854c1b580d50c28cff82f59c24ec
diff --git a/dev-python/PyQt5/PyQt5-5.14.2.ebuild b/dev-python/PyQt5-python2/PyQt5-python2-5.14.2-r1.ebuild
index afd89e2e83a5..1799e01f1a9c 100644
--- a/dev-python/PyQt5/PyQt5-5.14.2.ebuild
+++ b/dev-python/PyQt5-python2/PyQt5-python2-5.14.2-r1.ebuild
@@ -3,22 +3,24 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python2_7 )
inherit multibuild python-r1 qmake-utils
DESCRIPTION="Python bindings for the Qt framework"
HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/intro"
-MY_P=${PN}-${PV/_pre/.dev}
+MY_PN=PyQt5
+MY_P=${MY_PN}-${PV/_pre/.dev}
if [[ ${PV} == *_pre* ]]; then
SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
fi
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 x86"
+RESTRICT="test"
# TODO: QtNfc, QtRemoteObjects
IUSE="bluetooth dbus debug declarative designer examples gles2-only gui help location
@@ -59,15 +61,12 @@ RDEPEND="
$(python_gen_cond_dep '
dev-python/enum34[${PYTHON_USEDEP}]
' -2)
- >=dev-python/PyQt5-sip-4.19.20:=[${PYTHON_USEDEP}]
+ >=dev-python/PyQt5-sip-python2-4.19.20:=
>=dev-qt/qtcore-${QT_PV}
>=dev-qt/qtxml-${QT_PV}
bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
dbus? (
- python_targets_python2_7? (
- dev-python/dbus-python2[python_targets_python2_7]
- )
- dev-python/dbus-python[python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,python_targets_python3_9(-)?,-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-)]
+ dev-python/dbus-python2[python_targets_python2_7]
>=dev-qt/qtdbus-${QT_PV}
)
declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
@@ -94,7 +93,7 @@ RDEPEND="
xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV} )
"
DEPEND="${RDEPEND}
- >=dev-python/sip-4.19.20[${PYTHON_USEDEP}]
+ >=dev-python/sip-python2-4.19.20
dbus? ( virtual/pkgconfig )
"
@@ -124,6 +123,7 @@ src_configure() {
--qsci-api
--enable=QtCore
--enable=QtXml
+ --sip=${EPREFIX}/usr/bin/sip2.7
$(pyqt_use_enable bluetooth)
$(pyqt_use_enable dbus QtDBus)
$(usex dbus '' --no-python-dbus)
@@ -161,14 +161,14 @@ src_configure() {
# Fix parallel install failure
if python_is_python3; then
sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
- ${PN}.pro || die
+ ${MY_PN}.pro || die
else
sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_qscintilla_api' \
- ${PN}.pro || die
+ ${MY_PN}.pro || die
fi
# Run eqmake to respect toolchain and build flags
- eqmake5 -recursive ${PN}.pro
+ eqmake5 -recursive ${MY_PN}.pro
}
python_foreach_impl run_in_build_dir configuration
}
@@ -179,7 +179,7 @@ src_compile() {
src_install() {
installation() {
- local tmp_root=${D}/${PN}_tmp_root
+ local tmp_root=${D}/${MY_PN}_tmp_root
emake INSTALL_ROOT="${tmp_root}" install
local bin_dir=${tmp_root}${EPREFIX}/usr/bin
@@ -189,7 +189,7 @@ src_install() {
rm "${bin_dir}/${exe}" || die
done
- local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
+ local uic_dir=${tmp_root}$(python_get_sitedir)/${MY_PN}/uic
if python_is_python3; then
rm -r "${uic_dir}"/port_v2 || die
else
@@ -200,10 +200,8 @@ src_install() {
python_optimize
}
python_foreach_impl run_in_build_dir installation
-
- einstalldocs
-
- if use examples; then
- dodoc -r examples
- fi
+ rm -r ${D}/usr/share
+ rm -r ${D}/usr/bin
+ rm -r ${D}/usr/lib/python-exec
+ rm -r ${D}/usr/lib*/qt5
}
diff --git a/dev-python/PyQt5-python2/metadata.xml b/dev-python/PyQt5-python2/metadata.xml
new file mode 100644
index 000000000000..50fa8c75b2ed
--- /dev/null
+++ b/dev-python/PyQt5-python2/metadata.xml
@@ -0,0 +1,44 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>qt@gentoo.org</email>
+ <name>Gentoo Qt Project</name>
+ </maintainer>
+ <use>
+ <flag name="bluetooth">Build bindings for the QtBluetooth module</flag>
+ <flag name="dbus">Build bindings for the QtDBus module</flag>
+ <flag name="declarative">Build bindings for the QtQml/QtQuick modules and enable the qmlscene plugin</flag>
+ <flag name="designer">Build bindings for the QtDesigner module and enable the designer plugin</flag>
+ <flag name="gui">Build bindings for the QtGui module</flag>
+ <flag name="help">Build bindings for the QtHelp module</flag>
+ <flag name="location">Build bindings for the QtLocation module</flag>
+ <flag name="multimedia">Build bindings for the QtMultimedia module</flag>
+ <flag name="network">Build bindings for the QtNetwork module</flag>
+ <flag name="networkauth">Build bindings for the QtNetworkAuth module</flag>
+ <flag name="opengl">Build bindings for the QtOpenGL module</flag>
+ <flag name="positioning">Build bindings for the QtPositioning module</flag>
+ <flag name="printsupport">Build bindings for the QtPrintSupport module</flag>
+ <flag name="sensors">Build bindings for the QtSensors module</flag>
+ <flag name="serialport">Build bindings for the QtSerialPort module</flag>
+ <flag name="sql">Build bindings for the QtSql module</flag>
+ <flag name="svg">Build bindings for the QtSvg module</flag>
+ <flag name="testlib">Build bindings for the QtTest module</flag>
+ <flag name="webchannel">Build bindings for the QtWebChannel module</flag>
+ <flag name="webkit">Build bindings for the QtWebKit module</flag>
+ <flag name="websockets">Build bindings for the QtWebSockets module</flag>
+ <flag name="widgets">Build bindings for the QtWidgets module</flag>
+ <flag name="x11extras">Build bindings for the QtX11Extras module</flag>
+ <flag name="xmlpatterns">Build bindings for the QtXmlPatterns module</flag>
+ </use>
+ <upstream>
+ <maintainer status="active">
+ <email>phil@riverbankcomputing.com</email>
+ <name>Phil Thompson</name>
+ </maintainer>
+ <doc>https://www.riverbankcomputing.com/static/Docs/PyQt5/</doc>
+ <bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
+ <remote-id type="pypi">PyQt5</remote-id>
+ </upstream>
+ <origin>calculatelinux-overlay</origin>
+</pkgmetadata>
diff --git a/dev-python/PyQt5-sip-python2/Manifest b/dev-python/PyQt5-sip-python2/Manifest
new file mode 100644
index 000000000000..fb80d7aef967
--- /dev/null
+++ b/dev-python/PyQt5-sip-python2/Manifest
@@ -0,0 +1 @@
+DIST sip-4.19.22.tar.gz 1050805 BLAKE2B 7382fdf74c5bb8b55bcedae74acdcb7b81ef06a64d129a9e6f11a5eb293900e37df513f1c4290f2299f49a5bd97e2a6b3c6bc32ddbf2eaf848bd5e5c5dc25edc SHA512 4d366e589945e589f69a3caf979076ef37e319ac0efdd8ec3cee4869da89e112832462215ca2e235036bacfade7efc4d530aa93e7492c283dc1b2503e08feea5
diff --git a/dev-python/PyQt5-sip/PyQt5-sip-4.19.22.ebuild b/dev-python/PyQt5-sip-python2/PyQt5-sip-python2-4.19.22.ebuild
index a047bbbf82b0..d79863a2fb65 100644
--- a/dev-python/PyQt5-sip/PyQt5-sip-4.19.22.ebuild
+++ b/dev-python/PyQt5-sip-python2/PyQt5-sip-python2-4.19.22.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python2_7 )
inherit python-r1 toolchain-funcs
DESCRIPTION="Private sip module for PyQt5"
@@ -22,10 +22,13 @@ SLOT="0/12"
LICENSE="|| ( GPL-2 GPL-3 SIP )"
KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 x86"
IUSE=""
+RESTRICT="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-DEPEND="${PYTHON_DEPS}"
+DEPEND="${PYTHON_DEPS}
+ !dev-python/PyQt5-sip[python_targets_python2_7]
+"
RDEPEND="${DEPEND}
!<dev-python/PyQt5-5.12.2
"
@@ -89,6 +92,4 @@ src_install() {
emake DESTDIR="${D}" install
}
python_foreach_impl run_in_build_dir installation
-
- einstalldocs
}
diff --git a/dev-python/PyQt5-sip-python2/metadata.xml b/dev-python/PyQt5-sip-python2/metadata.xml
new file mode 100644
index 000000000000..7aab82a189dd
--- /dev/null
+++ b/dev-python/PyQt5-sip-python2/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <herd>maintainer-wanted</herd>
+ </maintainer>
+ <upstream>
+ <maintainer status="active">
+ <email>phil@riverbankcomputing.com</email>
+ <name>Phil Thompson</name>
+ </maintainer>
+ <changelog>https://www.riverbankcomputing.com/hg/sip/raw-file/tip/NEWS</changelog>
+ <doc>https://www.riverbankcomputing.com/static/Docs/sip/</doc>
+ <bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
+ <remote-id type="pypi">PyQt5-sip</remote-id>
+ </upstream>
+ <origin>calculatelinux-overlay</origin>
+</pkgmetadata>
diff --git a/dev-python/PyQt5-sip/Manifest b/dev-python/PyQt5-sip/Manifest
index 707324268f8a..19581414f6a1 100644
--- a/dev-python/PyQt5-sip/Manifest
+++ b/dev-python/PyQt5-sip/Manifest
@@ -1,2 +1,3 @@
DIST sip-4.19.22.tar.gz 1050805 BLAKE2B 7382fdf74c5bb8b55bcedae74acdcb7b81ef06a64d129a9e6f11a5eb293900e37df513f1c4290f2299f49a5bd97e2a6b3c6bc32ddbf2eaf848bd5e5c5dc25edc SHA512 4d366e589945e589f69a3caf979076ef37e319ac0efdd8ec3cee4869da89e112832462215ca2e235036bacfade7efc4d530aa93e7492c283dc1b2503e08feea5
DIST sip-4.19.23.tar.gz 1053640 BLAKE2B 316c972a5cf7dd6464a418702e7d91192202330cf89a78d6ef480034ac8fc2f3f4cfedb85e6bc7d3d018bfe3d29ea767133db008dbfa521312e3aea2b96cff74 SHA512 a50c6202ebb6a5d1c98b6fc79925fa5d82236a944003854b057be9e2f7340d5cd689ba0e08f46f521736f3574c4089768c869bb8921e66b23944a31a832770f1
+DIST sip-4.19.24.tar.gz 1055461 BLAKE2B 6990b127a83fa57bc084eb9a1097f73c384b4fcf3d181479557fe2ffc66cde254bfbb5aef26f5ddd84dca346f54184952e7a111adf3b665f68571853e63b6575 SHA512 c9acf8c66da6ff24ffaeed254c11deabbc587cea0eb50164f2016199af30b85980f96a2d754ae5e7fe080f9076673b1abc82e2a6a41ff2ac442fb2b326fca1c0
diff --git a/dev-python/PyQt5-sip/PyQt5-sip-4.19.22-r1.ebuild b/dev-python/PyQt5-sip/PyQt5-sip-4.19.22-r1.ebuild
new file mode 100644
index 000000000000..9313ec901ef5
--- /dev/null
+++ b/dev-python/PyQt5-sip/PyQt5-sip-4.19.22-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+inherit python-r1 toolchain-funcs
+
+DESCRIPTION="Private sip module for PyQt5"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/intro"
+
+MY_PN=sip
+MY_P=${MY_PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz"
+fi
+
+# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
+SLOT="0/12"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ !<dev-python/PyQt5-5.12.2
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ # Sub-slot sanity check
+ local sub_slot=${SLOT#*/}
+ local sip_api_major_nr=$(sed -nre 's:^#define SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
+ if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
+ eerror
+ eerror "Ebuild sub-slot (${sub_slot}) does not match SIP_API_MAJOR_NR (${sip_api_major_nr})"
+ eerror "Please update SLOT variable as follows:"
+ eerror " SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
+ eerror
+ die "sub-slot sanity check failed"
+ fi
+
+ default
+}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ --sip-module PyQt5.sip
+ --sysroot="${ESYSROOT}/usr"
+ --no-tools
+ AR="$(tc-getAR) cqs"
+ CC="$(tc-getCC)"
+ CFLAGS="${CFLAGS}"
+ CFLAGS_RELEASE=
+ CXX="$(tc-getCXX)"
+ CXXFLAGS="${CXXFLAGS}"
+ CXXFLAGS_RELEASE=
+ LINK="$(tc-getCXX)"
+ LINK_SHLIB="$(tc-getCXX)"
+ LFLAGS="${LDFLAGS}"
+ LFLAGS_RELEASE=
+ RANLIB=
+ STRIP=
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ emake DESTDIR="${D}" install
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+}
diff --git a/dev-python/PyQt5-sip/PyQt5-sip-4.19.23.ebuild b/dev-python/PyQt5-sip/PyQt5-sip-4.19.23-r1.ebuild
index eab2d161878f..c61529a6f32a 100644
--- a/dev-python/PyQt5-sip/PyQt5-sip-4.19.23.ebuild
+++ b/dev-python/PyQt5-sip/PyQt5-sip-4.19.23-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit python-r1 toolchain-funcs
DESCRIPTION="Private sip module for PyQt5"
@@ -50,10 +50,6 @@ src_prepare() {
src_configure() {
configuration() {
- if ! python_is_python3; then
- local CFLAGS="${CFLAGS} -fno-strict-aliasing"
- fi
-
local myconf=(
"${PYTHON}"
"${S}"/configure.py
diff --git a/dev-python/PyQt5-sip/PyQt5-sip-4.19.24.ebuild b/dev-python/PyQt5-sip/PyQt5-sip-4.19.24.ebuild
new file mode 100644
index 000000000000..915041c343b0
--- /dev/null
+++ b/dev-python/PyQt5-sip/PyQt5-sip-4.19.24.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit python-r1 toolchain-funcs
+
+DESCRIPTION="Private sip module for PyQt5"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/intro"
+
+MY_PN=sip
+MY_P=${MY_PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz"
+fi
+
+# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
+SLOT="0/12"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ !<dev-python/PyQt5-5.12.2
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ # Sub-slot sanity check
+ local sub_slot=${SLOT#*/}
+ local sip_api_major_nr=$(sed -nre 's:^#define SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
+ if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
+ eerror
+ eerror "Ebuild sub-slot (${sub_slot}) does not match SIP_API_MAJOR_NR (${sip_api_major_nr})"
+ eerror "Please update SLOT variable as follows:"
+ eerror " SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
+ eerror
+ die "sub-slot sanity check failed"
+ fi
+
+ default
+}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ --sip-module PyQt5.sip
+ --sysroot="${ESYSROOT}/usr"
+ --no-tools
+ AR="$(tc-getAR) cqs"
+ CC="$(tc-getCC)"
+ CFLAGS="${CFLAGS}"
+ CFLAGS_RELEASE=
+ CXX="$(tc-getCXX)"
+ CXXFLAGS="${CXXFLAGS}"
+ CXXFLAGS_RELEASE=
+ LINK="$(tc-getCXX)"
+ LINK_SHLIB="$(tc-getCXX)"
+ LFLAGS="${LDFLAGS}"
+ LFLAGS_RELEASE=
+ RANLIB=
+ STRIP=
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ emake DESTDIR="${D}" install
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+}
diff --git a/dev-python/PyQt5-sip/metadata.xml b/dev-python/PyQt5-sip/metadata.xml
index 41a4f815a0db..e73927f0c2ad 100644
--- a/dev-python/PyQt5-sip/metadata.xml
+++ b/dev-python/PyQt5-sip/metadata.xml
@@ -15,5 +15,5 @@
<bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
<remote-id type="pypi">PyQt5-sip</remote-id>
</upstream>
- <origin>calculatelinux-overlay</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/dev-python/PyQt5/Manifest b/dev-python/PyQt5/Manifest
index a28ca1fecfa2..a78c59a5651b 100644
--- a/dev-python/PyQt5/Manifest
+++ b/dev-python/PyQt5/Manifest
@@ -1,2 +1,3 @@
DIST PyQt5-5.14.2.tar.gz 3246557 BLAKE2B 0dd57da76dede97349c1af1d97cebad430dd5ae03c99b71de2e1ef1c41c1503820b0c0b1af8ddb507ffa5d6f466f7d3012db2cf625dad949dc4c962fb9e8a6a3 SHA512 56d9b2970ff50f2af0bfd889ad1226bf64087a6210cc545c5a0188352d1651343fcda9d53f04b041273f61bf31baf43af4a1854c1b580d50c28cff82f59c24ec
DIST PyQt5-5.15.0.tar.gz 3262004 BLAKE2B 6f9751bb00a8099555da89cc0df26d36906fabaf12eba60d11479152ad78805ba84d6de9c32b6212a19edb38b10c2253976a964bdcfaf18b8b8aa3656126b73f SHA512 35bcfef4d7ccfee04c1c4409d2af3d862f1e8e46d6ce743bfcfbaf43d2046bc58317824b0840f3db460ad280d1b7e896812268b36225198e916a1d9ea86823a9
+DIST PyQt5-5.15.1.tar.gz 3264559 BLAKE2B 20060297c52aa5d07ba28b50440bd3623b8648eef8502693f8175af9ba4edf9238b9be71c696ea2589556ad70e70e868dc9c286466af22867ab51d5c66e613db SHA512 a7378dd53337c58f5ba7e9f7510b57fe4affe578b68975ce1dd7ba5c2a1c77d08d51d11078ce782aab09509df934eb3e4d0588de87391f74ad99f9624644cc4e
diff --git a/dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild b/dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild
new file mode 100644
index 000000000000..6f47872f089c
--- /dev/null
+++ b/dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild
@@ -0,0 +1,193 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+inherit multibuild python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/intro"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 x86"
+
+# TODO: QtNfc, QtRemoteObjects
+IUSE="bluetooth dbus debug declarative designer examples gles2-only gui help location
+ multimedia network networkauth opengl positioning printsupport sensors serialport
+ sql +ssl svg testlib webchannel webkit websockets widgets x11extras xmlpatterns"
+
+# The requirements below were extracted from configure.py
+# and from the output of 'grep -r "%Import " "${S}"/sip'
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ bluetooth? ( gui )
+ declarative? ( gui network )
+ designer? ( widgets )
+ help? ( gui widgets )
+ location? ( positioning )
+ multimedia? ( gui network )
+ networkauth? ( network )
+ opengl? ( gui widgets )
+ positioning? ( gui )
+ printsupport? ( gui widgets )
+ sensors? ( gui )
+ serialport? ( gui )
+ sql? ( widgets )
+ svg? ( gui widgets )
+ testlib? ( widgets )
+ webchannel? ( network )
+ webkit? ( gui network printsupport widgets )
+ websockets? ( network )
+ widgets? ( gui )
+ xmlpatterns? ( network )
+"
+
+# Minimal supported version of Qt.
+QT_PV="5.12:5"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/PyQt5-sip-4.19.20:=[${PYTHON_USEDEP}]
+ >=dev-qt/qtcore-${QT_PV}
+ >=dev-qt/qtxml-${QT_PV}
+ bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
+ dbus? (
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ >=dev-qt/qtdbus-${QT_PV}
+ )
+ declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+ designer? ( >=dev-qt/designer-${QT_PV} )
+ gui? ( >=dev-qt/qtgui-${QT_PV}[gles2-only=] )
+ help? ( >=dev-qt/qthelp-${QT_PV} )
+ location? ( >=dev-qt/qtlocation-${QT_PV} )
+ multimedia? ( >=dev-qt/qtmultimedia-${QT_PV}[widgets?] )
+ network? ( >=dev-qt/qtnetwork-${QT_PV}[ssl=] )
+ networkauth? ( >=dev-qt/qtnetworkauth-${QT_PV} )
+ opengl? ( >=dev-qt/qtopengl-${QT_PV} )
+ positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+ printsupport? ( >=dev-qt/qtprintsupport-${QT_PV} )
+ sensors? ( >=dev-qt/qtsensors-${QT_PV} )
+ serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+ sql? ( >=dev-qt/qtsql-${QT_PV} )
+ svg? ( >=dev-qt/qtsvg-${QT_PV} )
+ testlib? ( >=dev-qt/qttest-${QT_PV} )
+ webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+ webkit? ( dev-qt/qtwebkit:5[printsupport] )
+ websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
+ widgets? ( >=dev-qt/qtwidgets-${QT_PV} )
+ x11extras? ( >=dev-qt/qtx11extras-${QT_PV} )
+ xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV} )
+"
+DEPEND="${RDEPEND}
+ >=dev-python/sip-4.19.20[${PYTHON_USEDEP}]
+ dbus? ( virtual/pkgconfig )
+"
+
+S=${WORKDIR}/${MY_P}
+
+pyqt_use_enable() {
+ use "$1" || return
+
+ if [[ $# -eq 1 ]]; then
+ echo --enable=Qt$(tr 'a-z' 'A-Z' <<< ${1:0:1})${1:1}
+ else
+ shift
+ echo ${@/#/--enable=}
+ fi
+}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ $(usex debug '--debug --qml-debug --trace' '')
+ --verbose
+ --confirm-license
+ --qmake="$(qt5_get_bindir)"/qmake
+ --bindir="${EPREFIX}/usr/bin"
+ --qsci-api
+ --enable=QtCore
+ --enable=QtXml
+ $(pyqt_use_enable bluetooth)
+ $(pyqt_use_enable dbus QtDBus)
+ $(usex dbus '' --no-python-dbus)
+ $(pyqt_use_enable declarative QtQml QtQuick $(usex widgets QtQuickWidgets ''))
+ $(usex declarative '' --no-qml-plugin)
+ $(pyqt_use_enable designer)
+ $(usex designer '' --no-designer-plugin)
+ $(usex gles2-only '--disable-feature=PyQt_Desktop_OpenGL' '')
+ $(pyqt_use_enable gui)
+ $(pyqt_use_enable gui $(use gles2-only && echo _QOpenGLFunctions_ES2 || echo _QOpenGLFunctions_{2_0,2_1,4_1_Core}))
+ $(pyqt_use_enable help)
+ $(pyqt_use_enable location)
+ $(pyqt_use_enable multimedia QtMultimedia $(usex widgets QtMultimediaWidgets ''))
+ $(pyqt_use_enable network)
+ $(pyqt_use_enable networkauth QtNetworkAuth)
+ $(pyqt_use_enable opengl QtOpenGL)
+ $(pyqt_use_enable positioning)
+ $(pyqt_use_enable printsupport QtPrintSupport)
+ $(pyqt_use_enable sensors)
+ $(pyqt_use_enable serialport QtSerialPort)
+ $(pyqt_use_enable sql)
+ $(usex ssl '' '--disable-feature=PyQt_SSL')
+ $(pyqt_use_enable svg)
+ $(pyqt_use_enable testlib QtTest)
+ $(pyqt_use_enable webchannel QtWebChannel)
+ $(pyqt_use_enable webkit QtWebKit QtWebKitWidgets)
+ $(pyqt_use_enable websockets QtWebSockets)
+ $(pyqt_use_enable widgets)
+ $(pyqt_use_enable x11extras QtX11Extras)
+ $(pyqt_use_enable xmlpatterns QtXmlPatterns)
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+
+ # Fix parallel install failure
+ sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
+ ${PN}.pro || die
+
+ # Run eqmake to respect toolchain and build flags
+ eqmake5 -recursive ${PN}.pro
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ local tmp_root=${D}/${PN}_tmp_root
+ emake INSTALL_ROOT="${tmp_root}" install
+
+ local bin_dir=${tmp_root}${EPREFIX}/usr/bin
+ local exe
+ for exe in pylupdate5 pyrcc5 pyuic5; do
+ python_doexe "${bin_dir}/${exe}"
+ rm "${bin_dir}/${exe}" || die
+ done
+
+ local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
+ rm -r "${uic_dir}"/port_v2 || die
+
+ multibuild_merge_root "${tmp_root}" "${D}"
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+
+ if use examples; then
+ dodoc -r examples
+ fi
+}
diff --git a/dev-python/PyQt5/PyQt5-5.15.0.ebuild b/dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild
index 2c9d324fc9a0..46c99c6e00aa 100644
--- a/dev-python/PyQt5/PyQt5-5.15.0.ebuild
+++ b/dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
inherit multibuild python-r1 qmake-utils
DESCRIPTION="Python bindings for the Qt framework"
@@ -54,20 +54,13 @@ REQUIRED_USE="
# Minimal supported version of Qt.
QT_PV="5.12:5"
-RDEPEND="
- ${PYTHON_DEPS}
- $(python_gen_cond_dep '
- dev-python/enum34[${PYTHON_USEDEP}]
- ' -2)
+RDEPEND="${PYTHON_DEPS}
>=dev-python/PyQt5-sip-4.19.23:=[${PYTHON_USEDEP}]
>=dev-qt/qtcore-${QT_PV}
>=dev-qt/qtxml-${QT_PV}
bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
dbus? (
- python_targets_python2_7? (
- dev-python/dbus-python2[python_targets_python2_7]
- )
- dev-python/dbus-python[python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,python_targets_python3_9(-)?,-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-)]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
>=dev-qt/qtdbus-${QT_PV}
)
declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
@@ -159,13 +152,8 @@ src_configure() {
"${myconf[@]}" || die
# Fix parallel install failure
- if python_is_python3; then
- sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
- ${PN}.pro || die
- else
- sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_qscintilla_api' \
- ${PN}.pro || die
- fi
+ sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
+ ${PN}.pro || die
# Run eqmake to respect toolchain and build flags
eqmake5 -recursive ${PN}.pro
@@ -190,11 +178,7 @@ src_install() {
done
local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
- if python_is_python3; then
- rm -r "${uic_dir}"/port_v2 || die
- else
- rm -r "${uic_dir}"/port_v3 || die
- fi
+ rm -r "${uic_dir}"/port_v2 || die
multibuild_merge_root "${tmp_root}" "${D}"
python_optimize
diff --git a/dev-python/PyQt5/PyQt5-5.15.1.ebuild b/dev-python/PyQt5/PyQt5-5.15.1.ebuild
new file mode 100644
index 000000000000..3c273431c68f
--- /dev/null
+++ b/dev-python/PyQt5/PyQt5-5.15.1.ebuild
@@ -0,0 +1,190 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit multibuild python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/intro"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+# TODO: QtNfc, QtQuick3D, QtRemoteObjects, QtTextToSpeech
+IUSE="bluetooth dbus debug declarative designer examples gles2-only gui help location
+ multimedia network networkauth opengl positioning printsupport sensors serialport
+ sql +ssl svg testlib webchannel webkit websockets widgets x11extras xmlpatterns"
+
+# The requirements below were extracted from configure.py
+# and from the output of 'grep -r "%Import " "${S}"/sip'
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ bluetooth? ( gui )
+ declarative? ( gui network )
+ designer? ( widgets )
+ help? ( gui widgets )
+ location? ( positioning )
+ multimedia? ( gui network )
+ networkauth? ( network )
+ opengl? ( gui widgets )
+ positioning? ( gui )
+ printsupport? ( gui widgets )
+ sensors? ( gui )
+ serialport? ( gui )
+ sql? ( widgets )
+ svg? ( gui widgets )
+ testlib? ( widgets )
+ webchannel? ( network )
+ webkit? ( gui network printsupport widgets )
+ websockets? ( network )
+ widgets? ( gui )
+ xmlpatterns? ( network )
+"
+
+# Minimal supported version of Qt.
+QT_PV="5.14:5"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/PyQt5-sip-4.19.23:=[${PYTHON_USEDEP}]
+ >=dev-qt/qtcore-${QT_PV}
+ >=dev-qt/qtxml-${QT_PV}
+ bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
+ dbus? (
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ >=dev-qt/qtdbus-${QT_PV}
+ )
+ declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+ designer? ( >=dev-qt/designer-${QT_PV} )
+ gui? ( >=dev-qt/qtgui-${QT_PV}[gles2-only=] )
+ help? ( >=dev-qt/qthelp-${QT_PV} )
+ location? ( >=dev-qt/qtlocation-${QT_PV} )
+ multimedia? ( >=dev-qt/qtmultimedia-${QT_PV}[widgets?] )
+ network? ( >=dev-qt/qtnetwork-${QT_PV}[ssl=] )
+ networkauth? ( >=dev-qt/qtnetworkauth-${QT_PV} )
+ opengl? ( >=dev-qt/qtopengl-${QT_PV} )
+ positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+ printsupport? ( >=dev-qt/qtprintsupport-${QT_PV} )
+ sensors? ( >=dev-qt/qtsensors-${QT_PV} )
+ serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+ sql? ( >=dev-qt/qtsql-${QT_PV} )
+ svg? ( >=dev-qt/qtsvg-${QT_PV} )
+ testlib? ( >=dev-qt/qttest-${QT_PV} )
+ webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+ webkit? ( dev-qt/qtwebkit:5[printsupport] )
+ websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
+ widgets? ( >=dev-qt/qtwidgets-${QT_PV} )
+ x11extras? ( >=dev-qt/qtx11extras-${QT_PV} )
+ xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV} )
+"
+DEPEND="${RDEPEND}
+ >=dev-python/sip-4.19.23[${PYTHON_USEDEP}]
+ dbus? ( virtual/pkgconfig )
+"
+
+S=${WORKDIR}/${MY_P}
+
+pyqt_use_enable() {
+ use "$1" || return
+
+ if [[ $# -eq 1 ]]; then
+ echo --enable=Qt$(tr 'a-z' 'A-Z' <<< ${1:0:1})${1:1}
+ else
+ shift
+ echo ${@/#/--enable=}
+ fi
+}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ $(usex debug '--debug --qml-debug --trace' '')
+ --verbose
+ --confirm-license
+ --qmake="$(qt5_get_bindir)"/qmake
+ --bindir="${EPREFIX}/usr/bin"
+ --qsci-api
+ --enable=QtCore
+ --enable=QtXml
+ $(pyqt_use_enable bluetooth)
+ $(pyqt_use_enable dbus QtDBus)
+ $(usex dbus '' --no-python-dbus)
+ $(pyqt_use_enable declarative QtQml QtQuick $(usex widgets QtQuickWidgets ''))
+ $(usex declarative '' --no-qml-plugin)
+ $(pyqt_use_enable designer)
+ $(usex designer '' --no-designer-plugin)
+ $(usex gles2-only '--disable-feature=PyQt_Desktop_OpenGL' '')
+ $(pyqt_use_enable gui)
+ $(pyqt_use_enable gui $(use gles2-only && echo _QOpenGLFunctions_ES2 || echo _QOpenGLFunctions_{2_0,2_1,4_1_Core}))
+ $(pyqt_use_enable help)
+ $(pyqt_use_enable location)
+ $(pyqt_use_enable multimedia QtMultimedia $(usex widgets QtMultimediaWidgets ''))
+ $(pyqt_use_enable network)
+ $(pyqt_use_enable networkauth QtNetworkAuth)
+ $(pyqt_use_enable opengl QtOpenGL)
+ $(pyqt_use_enable positioning)
+ $(pyqt_use_enable printsupport QtPrintSupport)
+ $(pyqt_use_enable sensors)
+ $(pyqt_use_enable serialport QtSerialPort)
+ $(pyqt_use_enable sql)
+ $(usex ssl '' '--disable-feature=PyQt_SSL')
+ $(pyqt_use_enable svg)
+ $(pyqt_use_enable testlib QtTest)
+ $(pyqt_use_enable webchannel QtWebChannel)
+ $(pyqt_use_enable webkit QtWebKit QtWebKitWidgets)
+ $(pyqt_use_enable websockets QtWebSockets)
+ $(pyqt_use_enable widgets)
+ $(pyqt_use_enable x11extras QtX11Extras)
+ $(pyqt_use_enable xmlpatterns QtXmlPatterns)
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+
+ # Run eqmake to respect toolchain and build flags
+ eqmake5 -recursive ${PN}.pro
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ local tmp_root=${D}/${PN}_tmp_root
+ # parallel install fails because mk_distinfo.py runs too early
+ emake -j1 INSTALL_ROOT="${tmp_root}" install
+
+ local bin_dir=${tmp_root}${EPREFIX}/usr/bin
+ local exe
+ for exe in pylupdate5 pyrcc5 pyuic5; do
+ python_doexe "${bin_dir}/${exe}"
+ rm "${bin_dir}/${exe}" || die
+ done
+
+ local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
+ rm -r "${uic_dir}"/port_v2 || die
+
+ multibuild_merge_root "${tmp_root}" "${D}"
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+
+ if use examples; then
+ dodoc -r examples
+ fi
+}
diff --git a/dev-python/PyQt5/metadata.xml b/dev-python/PyQt5/metadata.xml
index 50fa8c75b2ed..cf34e66687de 100644
--- a/dev-python/PyQt5/metadata.xml
+++ b/dev-python/PyQt5/metadata.xml
@@ -40,5 +40,5 @@
<bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
<remote-id type="pypi">PyQt5</remote-id>
</upstream>
- <origin>calculatelinux-overlay</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/dev-python/aiorpcX/aiorpcX-0.18.4.ebuild b/dev-python/aiorpcX/aiorpcX-0.18.4-r1.ebuild
index b05f2450bbd7..1eccc1462028 100644
--- a/dev-python/aiorpcX/aiorpcX-0.18.4.ebuild
+++ b/dev-python/aiorpcX/aiorpcX-0.18.4-r1.ebuild
@@ -25,6 +25,10 @@ BDEPEND="
distutils_enable_tests pytest
+PATCHES=(
+ "${FILESDIR}"/${P}-py38.patch
+)
+
src_prepare() {
# websockets are optional and not packaged in Gentoo
rm tests/test_websocket.py || die
diff --git a/dev-python/aiorpcX/files/aiorpcX-0.18.4-py38.patch b/dev-python/aiorpcX/files/aiorpcX-0.18.4-py38.patch
new file mode 100644
index 000000000000..bc189277c4c6
--- /dev/null
+++ b/dev-python/aiorpcX/files/aiorpcX-0.18.4-py38.patch
@@ -0,0 +1,53 @@
+diff --git a/aiorpcx/socks.py b/aiorpcx/socks.py
+index 92ad396..4a6cefa 100644
+--- a/aiorpcx/socks.py
++++ b/aiorpcx/socks.py
+@@ -45,7 +45,7 @@ SOCKSUserAuth = collections.namedtuple("SOCKSUserAuth", "username password")
+
+ # Random authentication is useful when used with Tor for stream isolation.
+ class SOCKSRandomAuth(SOCKSUserAuth):
+- def __getitem__(self, key):
++ def __getattribute__(self, key):
+ return secrets.token_hex(32)
+
+
+diff --git a/tests/test_curio.py b/tests/test_curio.py
+index 9292f52..97b479b 100644
+--- a/tests/test_curio.py
++++ b/tests/test_curio.py
+@@ -1,4 +1,5 @@
+ from asyncio import get_event_loop, InvalidStateError
++import sys
+ import time
+
+ import pytest
+@@ -525,6 +526,8 @@ async def test_nested_context_timeout():
+ ]
+
+
++@pytest.mark.xfail(sys.hexversion > 0x03080000,
++ reason='broken on py3.8, upstream ignores the problem')
+ @pytest.mark.asyncio
+ async def test_nested_context_timeout2():
+ async def coro1():
+@@ -562,6 +565,8 @@ async def test_nested_context_timeout2():
+ await parent()
+
+
++@pytest.mark.xfail(sys.hexversion > 0x03080000,
++ reason='broken on py3.8, upstream ignores the problem')
+ @pytest.mark.asyncio
+ async def test_nested_context_timeout3():
+ async def coro1():
+diff --git a/tests/test_jsonrpc.py b/tests/test_jsonrpc.py
+index 315f639..b0cdd60 100644
+--- a/tests/test_jsonrpc.py
++++ b/tests/test_jsonrpc.py
+@@ -1126,7 +1126,6 @@ def test_handler_invocation():
+ (Request('missing_method', []), 'unknown method'),
+ (Request('add_many', []), 'requires 1'),
+ (Request('add_many', {'first': 1, 'values': []}), 'values'),
+- (Request('powb', {"x": 2, "y": 3}), 'cannot be called'),
+ (Request('echo_2', ['ping', 'pong']), 'at most 1'),
+ (Request('echo_2', {'first': 1, 'second': 8, '3rd': 1}), '3rd'),
+ (Request('kwargs', []), 'requires 1'),
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 99521345c9f1..fd15a02a0771 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.15.1.tar.gz 335146 BLAKE2B d2d008dcb2059b120f142aaf588264122d1e84b4
DIST boto3-1.15.2.tar.gz 335231 BLAKE2B f1eb144da7afc1cf630cdc1f61880d094186a37d46556ae361da278fd3045a119dcb09c3d08387a019ca88d6502fa8710a5e5733cd9dc9056676ef17853d76e2 SHA512 6866e0d6a50d11495e5f2a33a392b0edbe1ff6625235b26b5d6028f7c2c7089d78febe17b982f65dc2564254800a23409247ac09716b099f09f3751c5b7f47b5
DIST boto3-1.15.3.tar.gz 335286 BLAKE2B 05c9ef757b8d227ae06a22e78d978821ff50da719f122ac025940b2e1ac5728d6bac044d4bfab95c56ac8c363efd7abfe3de2b3fd65d423ab53dbdfc60b910da SHA512 dfecfc075896ce84fd58d0437b84a6a794af69ff3e598b35b43f83b2b5ef57b88f96ef62a0d6505d5fe7fef0401513c8ecf0dfcaa22e4575510acd3ece191901
DIST boto3-1.15.4.tar.gz 335401 BLAKE2B 42ee1f2cf1e82338ea59a40b95aa5c76abae51aacf325ae845f407ccbc3caf1b3901bca48036889ad6307f96c257259cce39784a3f52ec6ff03c0c6c5633c654 SHA512 14626faa3943b65a215b8f1bce24f217e69421cdfd40caaf7de0fec13ca9b5b25c5e290c27672b2a6bc41316917224209110e2efd5be817de7273f93ae5764ce
+DIST boto3-1.15.5.tar.gz 335536 BLAKE2B e4476272346dce929be52be220ac7da2e258bc20f5586eec8adb18bfedf1be63c6318a4ac9890d1380b625a67aa4ca5068fbccd6c36972a9ec8baf4473d1f2f1 SHA512 d9d49176b800f2fdf70ae3da657201571a26112f23b12337b133459c6e03d4f56970f6a7be3da6570439f32c41fc917adcc8c3b1d9cd74196728ac55ca0bb933
diff --git a/dev-python/boto3/boto3-1.15.5.ebuild b/dev-python/boto3/boto3-1.15.5.ebuild
new file mode 100644
index 000000000000..12584b2fba42
--- /dev/null
+++ b/dev-python/boto3/boto3-1.15.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 0ecd6c935c73..b40715ff9b6d 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,3 +6,4 @@ DIST botocore-1.18.1.tar.gz 6839699 BLAKE2B 188c5a05345fc7c4d4c05b3a8d9b675b5c21
DIST botocore-1.18.2.tar.gz 6843154 BLAKE2B 77f4cbccd6a686cfbdb2f25fafb9f2210c0e23de72fb40403f905711ec5d073b92cfd003d39406d273feb0bfb90e2ab594f2bb9c1564b5b0879efdf3bcfa47e3 SHA512 f4fec4caf3b4ebca8a593d58827fb4377c2458b7ebccb53ccd830df5423a2021ecebd534d2fe276662f8d8e91078bb5adbf611a52baa29c8ab3526d9c7b975ac
DIST botocore-1.18.3.tar.gz 6846755 BLAKE2B 3f6709cac832dff1ba07c2e8b4c235b5bcdf305c9851eedea2ce5f7847d0be93d7e9cbcb1765add47aaec1d0c1c31cdd2c88542a984af570140ffb7fe30d8388 SHA512 a8831b1549a768cea9d550dc2dc3c1c8afc03e018d2ce246569bed35cb9ce25bcb18689d066dc5b6e6dcc69db93e0b0957b32cb68c101127e01cfe3fbfa9fe08
DIST botocore-1.18.4.tar.gz 6850892 BLAKE2B 013319b1055db5a65f25b4d11c0ae97e6eb58a8976eafea98c80a33c756b8715d69fddb86c900e9c3c1a6447d05a7afd2f11a155db5f6cbcefc5f80fccbf680c SHA512 c84b7c5dcb78101d6d04bea2a4453e2c47711133bf4ee1e96c6bea18a0b3de7c41021bfe5ac501eeb2b35d50bfe8782ee29d931adf79ae77a45a2f3b117716df
+DIST botocore-1.18.5.tar.gz 6852318 BLAKE2B 3aeca749a143cba59ce637935a711df14351444bdbc3c2c6133431700a9d0ca1d8fb878ee3561e34c223df4c91f3e7054abfd82b09469369610ad0f35de2ff22 SHA512 3ba448a45460ce746a01372ab8e37b2faed7529bdd1e17d9ce9d79545a3700231e36f9b00ba448dcd33f60734dedd5dc9851def843eff55a0c9ccf711ee06b35
diff --git a/dev-python/botocore/botocore-1.18.5.ebuild b/dev-python/botocore/botocore-1.18.5.ebuild
new file mode 100644
index 000000000000..12940d28a2af
--- /dev/null
+++ b/dev-python/botocore/botocore-1.18.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/gast/gast-0.3.3-r1.ebuild b/dev-python/gast/gast-0.3.3-r1.ebuild
new file mode 100644
index 000000000000..9bc224543469
--- /dev/null
+++ b/dev-python/gast/gast-0.3.3-r1.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="A generic AST to represent Python2 and Python3's Abstract Syntax Tree (AST)"
+HOMEPAGE="https://pypi.org/project/gast/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.4.1-r1.ebuild b/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.4.1-r1.ebuild
new file mode 100644
index 000000000000..ca242f0ee0a2
--- /dev/null
+++ b/dev-python/google-auth-oauthlib/google-auth-oauthlib-0.4.1-r1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="https://pypi.org/project/google-auth-oauthlib/ https://github.com/googleapis/google-auth-library-python-oauthlib"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/google-auth[${PYTHON_USEDEP}]
+ >=dev-python/requests-oauthlib-0.7.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/ipaddr/ipaddr-2.2.0.ebuild b/dev-python/ipaddr/ipaddr-2.2.0-r1.ebuild
index 7e989511779b..a9bc8dd03454 100644
--- a/dev-python/ipaddr/ipaddr-2.2.0.ebuild
+++ b/dev-python/ipaddr/ipaddr-2.2.0-r1.ebuild
@@ -4,7 +4,7 @@
EAPI=7
DISTUTILS_USE_SETUPTOOLS=no
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
inherit distutils-r1
diff --git a/dev-python/namespace-google/namespace-google-1.ebuild b/dev-python/namespace-google/namespace-google-1-r1.ebuild
index a34ede2964cd..758c110dbd7d 100644
--- a/dev-python/namespace-google/namespace-google-1.ebuild
+++ b/dev-python/namespace-google/namespace-google-1-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
inherit python-r1
DESCRIPTION="Namespace package declaration for google"
diff --git a/dev-python/namespace-jaraco/namespace-jaraco-2-r1.ebuild b/dev-python/namespace-jaraco/namespace-jaraco-2-r2.ebuild
index 83a898fbd12d..80da02e34595 100644
--- a/dev-python/namespace-jaraco/namespace-jaraco-2-r1.ebuild
+++ b/dev-python/namespace-jaraco/namespace-jaraco-2-r2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
inherit python-r1
DESCRIPTION="Namespace package declaration for jaraco"
diff --git a/dev-python/opt-einsum/opt-einsum-3.0.1-r1.ebuild b/dev-python/opt-einsum/opt-einsum-3.0.1-r1.ebuild
new file mode 100644
index 000000000000..c2f588a81197
--- /dev/null
+++ b/dev-python/opt-einsum/opt-einsum-3.0.1-r1.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Optimized Einsum: A tensor contraction order optimizer"
+HOMEPAGE="https://pypi.org/project/opt-einsum/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P/-/_}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+S="${WORKDIR}/${P/-/_}"
+
+BDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
diff --git a/dev-python/paste/Manifest b/dev-python/paste/Manifest
index 0924be9fcf09..7cd399ccd77f 100644
--- a/dev-python/paste/Manifest
+++ b/dev-python/paste/Manifest
@@ -1,2 +1,3 @@
DIST Paste-3.4.3.tar.gz 630569 BLAKE2B fa81b60ad048a2c999d4e57992f5a5603680bf7505f13a8618a55425b388ef906ceb2e118821d689905a20e7ec2b31d27a6aecd704f529540db6c4436f30268c SHA512 0869a3330a74cc14f88fb5ce24183328ec38fed1fc5cd669b428f09ee2fcafc770e95c2f4dc8de86dfce4d66861bad26c9502cccb81966c519ca4593ada094b1
DIST Paste-3.4.4.tar.gz 630575 BLAKE2B 1d81efae1e1a783daf2d3fa86eb2e80cb95173a4bb182326c27471e2612b7de047bb3d98c0943aba9600f9888d760f39edd7c93ff4c16fbd4c90f68ebaa0caf6 SHA512 f977fa02b6800be27f703115b87987dcf8a1e4edd681f253b20fb363bfe625109b424ec6a0faba066e1d074f55a2ba336e17654f899b3100c9e3c3252d38b5a6
+DIST Paste-3.4.5.tar.gz 630575 BLAKE2B 2b6f08ed330fe4657bf12b4dfcc0cab95f73ec2647decaa5cb81635f7f2813814170615d1af945640f5bb2fc605f678fc20713b3016f55ad69e9e9b658938408 SHA512 cffc7a36ea880acfed6878a8865161c35263a3a056e853cf0d7c5e4dd2101d9462a4bf71a36e9f4c707c8fc11ae23ad2d0ae31080adf8614680462e489f47d3a
diff --git a/dev-python/paste/paste-3.4.5.ebuild b/dev-python/paste/paste-3.4.5.ebuild
new file mode 100644
index 000000000000..5c16024316f2
--- /dev/null
+++ b/dev-python/paste/paste-3.4.5.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_P="Paste-${PV}"
+DESCRIPTION="Tools for using a Web Server Gateway Interface stack"
+HOMEPAGE="https://pypi.org/project/Paste/"
+SRC_URI="mirror://pypi/${MY_P::1}/${PN^}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris"
+
+RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.0[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+ # TODO: 'Address already in use'
+ sed -e 's:test_address_family_v4:_&:' \
+ -i tests/test_httpserver.py || die
+
+ # Remove a test that runs against the paste website.
+ rm -f tests/test_proxy.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/protobuf-python/protobuf-python-3.11.4.ebuild b/dev-python/protobuf-python/protobuf-python-3.11.4-r1.ebuild
index f437b2cdbc0a..47fa20a356fb 100644
--- a/dev-python/protobuf-python/protobuf-python-3.11.4.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.11.4-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
DISTUTILS_USE_SETUPTOOLS="rdepend"
inherit distutils-r1
diff --git a/dev-python/protobuf-python/protobuf-python-3.12.2.ebuild b/dev-python/protobuf-python/protobuf-python-3.12.2-r1.ebuild
index 2d8e8aef7b07..65d0070cb092 100644
--- a/dev-python/protobuf-python/protobuf-python-3.12.2.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.12.2-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
DISTUTILS_USE_SETUPTOOLS="rdepend"
inherit distutils-r1
diff --git a/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild b/dev-python/protobuf-python/protobuf-python-3.12.4-r1.ebuild
index e031479968b8..754ffae59d5e 100644
--- a/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.12.4-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=(python{3_6,3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS="rdepend"
inherit distutils-r1
diff --git a/dev-python/protobuf-python/protobuf-python-3.13.0.ebuild b/dev-python/protobuf-python/protobuf-python-3.13.0-r1.ebuild
index c5d593dd8c5b..ecca6acde4bd 100644
--- a/dev-python/protobuf-python/protobuf-python-3.13.0.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.13.0-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=(python{3_6,3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS="rdepend"
inherit distutils-r1
diff --git a/dev-python/protobuf-python/protobuf-python-9999.ebuild b/dev-python/protobuf-python/protobuf-python-9999.ebuild
index c081829379e0..faaae29a1aa5 100644
--- a/dev-python/protobuf-python/protobuf-python-9999.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=(python{3_6,3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS="rdepend"
inherit distutils-r1
diff --git a/dev-python/pytest-services/Manifest b/dev-python/pytest-services/Manifest
index 5c9f267a1542..33203f5efd3e 100644
--- a/dev-python/pytest-services/Manifest
+++ b/dev-python/pytest-services/Manifest
@@ -1 +1,2 @@
DIST pytest-services-2.1.0.tar.gz 20552 BLAKE2B 6359c419591efed553e095e267c24f78f36b152f0eefe21d46742f7c15f05e92a9e86891f99762a3716fef5284b00d07d8d6eb825008dbbbf07e36dc62a7a6b4 SHA512 54a487546a2af7996acdbcd63bfc01626832aa41683617cdd345453cf6518afdf03cb8c2465e1f5d28c88b2cc801ffb0d9d4440582865f899e21fe42ab431ebc
+DIST pytest-services-2.2.0.tar.gz 20995 BLAKE2B a65455d89190d6b63854df7509124c8056c962640972f67210e3b3dbf2d669708e4edb124077cd32e7fe429e884372f4248396377b5d4879d9f7313c3ef7df46 SHA512 48430d6c107626a4e13a8eb16cf5cc3b2068e34869b8a4e3e615fd7a20f3644a028c911211f3de885ffd942cafd3946c313e76ddcf6199bedc9731f7b88c843a
diff --git a/dev-python/pytest-services/pytest-services-2.2.0.ebuild b/dev-python/pytest-services/pytest-services-2.2.0.ebuild
new file mode 100644
index 000000000000..d5cd4f80d936
--- /dev/null
+++ b/dev-python/pytest-services/pytest-services-2.2.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Collection of fixtures and utility functions to run service processes for pytest"
+HOMEPAGE="https://github.com/pytest-dev/pytest-services"
+SRC_URI="https://github.com/pytest-dev/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/zc-lockfile[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pylibmc[${PYTHON_USEDEP}]
+ x11-base/xorg-server[xvfb]
+ net-misc/memcached
+ !dev-python/pytest-salt
+ )
+"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+ "${FILESDIR}/pytest-services-2.0.1-no-mysql.patch"
+ "${FILESDIR}/pytest-services-2.0.1-lockdir.patch"
+)
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv tests || die "Tests failed under ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/pytest-xprocess/Manifest b/dev-python/pytest-xprocess/Manifest
index 746c2142ff6b..fac5b33c76e3 100644
--- a/dev-python/pytest-xprocess/Manifest
+++ b/dev-python/pytest-xprocess/Manifest
@@ -1 +1,2 @@
DIST pytest-xprocess-0.13.1.tar.gz 10273 BLAKE2B 0c2a8bdf5e31543b32ada50f2bb5e1a09b45de820064807bf41321638d11d6b6fea28fd2a8c795e7bc6f7ac7370a3e78988e8aee318fad9df194fd3b06cce7cd SHA512 e0ab9e13d7f90ffca1bb3646e5789582806519ff5e665e13ed0db00896d799a7828b39e7657e947783d15ec1a961b33c1c981e39069dd298bf352826dbdc496f
+DIST pytest-xprocess-0.14.0.tar.gz 13272 BLAKE2B 54a308b2d2783875c51b747c6c54fc7d8bf3542ea80590bdd51de0ee4ffeea73463793cfcfa8b8b75b45345b88ca4caebf3f5e45bc1de3fdc1649e0bdeebd72d SHA512 fc808d10f4adea1fba501178e30f82af575fa64fab9e3f44a73f1f1e809a09530be465d20be91ca0abb1fd270e9ebc397d64bccabfb3dc497b7b8f1123ef1fad
diff --git a/dev-python/pytest-xprocess/metadata.xml b/dev-python/pytest-xprocess/metadata.xml
index 4eefa9510390..a1793d53a7e8 100644
--- a/dev-python/pytest-xprocess/metadata.xml
+++ b/dev-python/pytest-xprocess/metadata.xml
@@ -7,7 +7,7 @@
</maintainer>
<stabilize-allarches/>
<upstream>
- <remote-id type="bitbucket">pytest-dev/pytest-xprocess</remote-id>
+ <remote-id type="github">pytest-dev/pytest-xprocess</remote-id>
<remote-id type="pypi">pytest-xprocess</remote-id>
</upstream>
<origin>gentoo-staging</origin>
diff --git a/dev-python/pytest-xprocess/pytest-xprocess-0.14.0.ebuild b/dev-python/pytest-xprocess/pytest-xprocess-0.14.0.ebuild
new file mode 100644
index 000000000000..1b3cb63a310e
--- /dev/null
+++ b/dev-python/pytest-xprocess/pytest-xprocess-0.14.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Manage external processes across test runs"
+HOMEPAGE="https://pypi.org/project/pytest-xprocess/ https://github.com/pytest-dev/pytest-xprocess"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/python-efl/Manifest b/dev-python/python-efl/Manifest
index 5c40865fe973..b3efa8b5067a 100644
--- a/dev-python/python-efl/Manifest
+++ b/dev-python/python-efl/Manifest
@@ -1 +1,2 @@
DIST python-efl-1.24.0.tar.xz 9535212 BLAKE2B ab9535d60af75422f3c055e56f3c6297f595afbf682970afcb21f597486b307504fa83ab894c2029fb681dda8d886d1fc837726d1c4ae62df7185fbc0073724a SHA512 5b57de58b2351f00f744454e6aaa16f7bf9cf72b7f73d07a2d98cda4d152eb65810513b5c04b1eda127b6f5caf56e4b9bc9a7c1ef98593edde26a9ed3be953c9
+DIST python-efl-1.25.0.tar.xz 9543920 BLAKE2B fc2b951ade2fc2b7c32dd78a84800bc9f225499ee9d8431034b378c86e423181d918aba2c4d056974f3aa2df9cfb9c7b3dcf1c366362387048cde182c0b3128a SHA512 23ed29add25cd2639e9eb144f22c5e2809b8634389f7ab5c4b7ebc19302fde4ebb0fe8c41d7b10923e658676c4dfbb8670fda16675682fd376258beecbc3d9c3
diff --git a/dev-python/python-efl/files/python-efl-1.25-clang-crosscompile.patch b/dev-python/python-efl/files/python-efl-1.25-clang-crosscompile.patch
new file mode 100644
index 000000000000..856aed8474ec
--- /dev/null
+++ b/dev-python/python-efl/files/python-efl-1.25-clang-crosscompile.patch
@@ -0,0 +1,14 @@
+diff -Naur a/setup.py b/setup.py
+--- a/setup.py 2020-06-25 19:46:38.312786000 +0300
++++ b/setup.py 2020-09-25 09:52:34.830587205 +0300
+@@ -221,6 +221,10 @@
+ # remove clang unknown flags
+ if os.getenv("CC") == "clang":
+ common_cflags.remove('-fno-var-tracking-assignments')
++if os.getenv("CC") == "x86_64-pc-linux-gnu-clang":
++ common_cflags.remove('-fno-var-tracking-assignments')
++if os.getenv("CC") == "i686-pc-linux-gnu-clang":
++ common_cflags.remove('-fno-var-tracking-assignments')
+
+
+ if set(("build", "build_ext", "install", "bdist", "sdist")) & set(sys.argv):
diff --git a/dev-python/python-efl/python-efl-1.25.0.ebuild b/dev-python/python-efl/python-efl-1.25.0.ebuild
new file mode 100644
index 000000000000..ad204a9e33fa
--- /dev/null
+++ b/dev-python/python-efl/python-efl-1.25.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Python bindings for Enlightenment Foundation Libraries"
+HOMEPAGE="https://phab.enlightenment.org/w/projects/python_bindings_for_efl/"
+SRC_URI="https://download.enlightenment.org/rel/bindings/python/${P}.tar.xz"
+
+LICENSE="|| ( GPL-3 LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="=dev-libs/efl-$(ver_cut 1-2)*
+ dev-python/dbus-python[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]"
+BDEPEND="virtual/pkgconfig
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )"
+
+PATCHES=( "${FILESDIR}/python-efl-1.25-clang-crosscompile.patch" )
+
+src_prepare() {
+ default
+
+ # Tries to download a file under /tmp
+ rm tests/ecore/test_09_file_download.py || die
+
+ # Tries to use that file which failed to download
+ rm tests/ecore/test_10_file_monitor.py || die
+
+ # Needs an active internet connection
+ rm tests/ecore/test_11_con.py || die
+
+ # Test fails because of deleted files above
+ sed -i 's/>= 13/>= 10/g' tests/ecore/test_08_exe.py || die
+
+ # Make tests verbose
+ sed -i 's:verbosity=1:verbosity=3:' tests/00_run_all_tests.py || die
+
+ # Disable any optimization on x86, #704260
+ if use x86; then
+ filter-flags -O?
+ append-cflags -O0
+ fi
+}
+
+python_compile_all() {
+ if use doc ; then
+ esetup.py build_doc --build-dir "${S}"/build/doc/
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ cd tests/ || die
+ ${EPYTHON} 00_run_all_tests.py --verbose || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( ./build/doc/html/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/sip-python2/Manifest b/dev-python/sip-python2/Manifest
new file mode 100644
index 000000000000..fb80d7aef967
--- /dev/null
+++ b/dev-python/sip-python2/Manifest
@@ -0,0 +1 @@
+DIST sip-4.19.22.tar.gz 1050805 BLAKE2B 7382fdf74c5bb8b55bcedae74acdcb7b81ef06a64d129a9e6f11a5eb293900e37df513f1c4290f2299f49a5bd97e2a6b3c6bc32ddbf2eaf848bd5e5c5dc25edc SHA512 4d366e589945e589f69a3caf979076ef37e319ac0efdd8ec3cee4869da89e112832462215ca2e235036bacfade7efc4d530aa93e7492c283dc1b2503e08feea5
diff --git a/dev-python/sip-python2/files/sip-4.18-darwin.patch b/dev-python/sip-python2/files/sip-4.18-darwin.patch
new file mode 100644
index 000000000000..6dd45ac024e3
--- /dev/null
+++ b/dev-python/sip-python2/files/sip-4.18-darwin.patch
@@ -0,0 +1,30 @@
+diff -ru sip-4.18.orig/siputils.py sip-4.18/siputils.py
+--- sip-4.18.orig/siputils.py 2016-04-16 22:38:22.662502890 +0200
++++ sip-4.18/siputils.py 2016-04-16 22:38:39.881551111 +0200
+@@ -946,8 +946,6 @@
+ """
+ if self.generator in ("MSVC", "MSVC.NET", "MSBUILD", "BMAKE"):
+ plib = clib + ".lib"
+- elif sys.platform == "darwin" and framework:
+- plib = "-framework " + clib
+ else:
+ plib = "-l" + clib
+
+@@ -962,8 +960,6 @@
+ """
+ if self.generator in ("MSVC", "MSVC.NET", "MSBUILD", "BMAKE"):
+ prl_name = os.path.join(self.config.qt_lib_dir, clib + ".prl")
+- elif sys.platform == "darwin" and framework:
+- prl_name = os.path.join(self.config.qt_lib_dir, clib + ".framework", clib + ".prl")
+ else:
+ prl_name = os.path.join(self.config.qt_lib_dir, "lib" + clib + ".prl")
+
+@@ -1639,7 +1635,7 @@
+ if sys.platform == "win32":
+ ext = "pyd"
+ elif sys.platform == "darwin":
+- ext = "so"
++ ext = "bundle"
+ elif sys.platform == "cygwin":
+ ext = "dll"
+ else:
diff --git a/dev-python/sip-python2/metadata.xml b/dev-python/sip-python2/metadata.xml
new file mode 100644
index 000000000000..501c829c2633
--- /dev/null
+++ b/dev-python/sip-python2/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <herd>maintainer-wanted</herd>
+ </maintainer>
+ <upstream>
+ <maintainer status="active">
+ <email>phil@riverbankcomputing.com</email>
+ <name>Phil Thompson</name>
+ </maintainer>
+ <changelog>https://www.riverbankcomputing.com/hg/sip/raw-file/tip/NEWS</changelog>
+ <doc>https://www.riverbankcomputing.com/static/Docs/sip/</doc>
+ <bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
+ <remote-id type="pypi">SIP</remote-id>
+ </upstream>
+ <origin>calculatelinux-overlay</origin>
+</pkgmetadata>
diff --git a/dev-python/sip-python2/sip-python2-4.19.22-r1.ebuild b/dev-python/sip-python2/sip-python2-4.19.22-r1.ebuild
new file mode 100644
index 000000000000..265a7fd92da3
--- /dev/null
+++ b/dev-python/sip-python2/sip-python2-4.19.22-r1.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+inherit python-r1 toolchain-funcs
+
+DESCRIPTION="Python extension module generator for C and C++ libraries"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/intro"
+
+MY_PN=sip
+MY_P=${MY_PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz"
+fi
+
+# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
+SLOT="0/12"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~sparc x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"
+
+DEPEND="
+ !dev-python/sip[python_targets_python2_7]
+ ${PYTHON_DEPS}"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=( "${FILESDIR}"/${MY_PN}-4.18-darwin.patch )
+
+src_prepare() {
+ # Sub-slot sanity check
+ local sub_slot=${SLOT#*/}
+ local sip_api_major_nr=$(sed -nre 's:^#define SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
+ if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
+ eerror
+ eerror "Ebuild sub-slot (${sub_slot}) does not match SIP_API_MAJOR_NR (${sip_api_major_nr})"
+ eerror "Please update SLOT variable as follows:"
+ eerror " SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
+ eerror
+ die "sub-slot sanity check failed"
+ fi
+
+ default
+}
+
+src_configure() {
+ configuration() {
+ local incdir=$(python_get_includedir)
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ --sysroot="${ESYSROOT}/usr"
+ --bindir="${EPREFIX}/usr/bin"
+ --destdir="$(python_get_sitedir)"
+ --incdir="${incdir#${SYSROOT}}"
+ AR="$(tc-getAR) cqs"
+ CC="$(tc-getCC)"
+ CFLAGS="${CFLAGS}"
+ CFLAGS_RELEASE=
+ CXX="$(tc-getCXX)"
+ CXXFLAGS="${CXXFLAGS}"
+ CXXFLAGS_RELEASE=
+ LINK="$(tc-getCXX)"
+ LINK_SHLIB="$(tc-getCXX)"
+ LFLAGS="${LDFLAGS}"
+ LFLAGS_RELEASE=
+ RANLIB=
+ STRIP=
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ emake DESTDIR="${D}" install
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir installation
+ mv ${D}/usr/bin/sip ${D}/usr/bin/sip2.7
+}
diff --git a/dev-python/sip/Manifest b/dev-python/sip/Manifest
index 707324268f8a..22b9d1454a5d 100644
--- a/dev-python/sip/Manifest
+++ b/dev-python/sip/Manifest
@@ -1,2 +1,2 @@
DIST sip-4.19.22.tar.gz 1050805 BLAKE2B 7382fdf74c5bb8b55bcedae74acdcb7b81ef06a64d129a9e6f11a5eb293900e37df513f1c4290f2299f49a5bd97e2a6b3c6bc32ddbf2eaf848bd5e5c5dc25edc SHA512 4d366e589945e589f69a3caf979076ef37e319ac0efdd8ec3cee4869da89e112832462215ca2e235036bacfade7efc4d530aa93e7492c283dc1b2503e08feea5
-DIST sip-4.19.23.tar.gz 1053640 BLAKE2B 316c972a5cf7dd6464a418702e7d91192202330cf89a78d6ef480034ac8fc2f3f4cfedb85e6bc7d3d018bfe3d29ea767133db008dbfa521312e3aea2b96cff74 SHA512 a50c6202ebb6a5d1c98b6fc79925fa5d82236a944003854b057be9e2f7340d5cd689ba0e08f46f521736f3574c4089768c869bb8921e66b23944a31a832770f1
+DIST sip-4.19.24.tar.gz 1055461 BLAKE2B 6990b127a83fa57bc084eb9a1097f73c384b4fcf3d181479557fe2ffc66cde254bfbb5aef26f5ddd84dca346f54184952e7a111adf3b665f68571853e63b6575 SHA512 c9acf8c66da6ff24ffaeed254c11deabbc587cea0eb50164f2016199af30b85980f96a2d754ae5e7fe080f9076673b1abc82e2a6a41ff2ac442fb2b326fca1c0
diff --git a/dev-python/sip/metadata.xml b/dev-python/sip/metadata.xml
index dbcc0619cbfa..2fadf87f2d85 100644
--- a/dev-python/sip/metadata.xml
+++ b/dev-python/sip/metadata.xml
@@ -15,5 +15,5 @@
<bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
<remote-id type="pypi">SIP</remote-id>
</upstream>
- <origin>calculatelinux-overlay</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/dev-python/sip/sip-4.19.22.ebuild b/dev-python/sip/sip-4.19.22-r1.ebuild
index 53cc7c07829d..0990210585d5 100644
--- a/dev-python/sip/sip-4.19.22.ebuild
+++ b/dev-python/sip/sip-4.19.22-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit python-r1 toolchain-funcs
DESCRIPTION="Python extension module generator for C and C++ libraries"
@@ -50,10 +50,6 @@ src_prepare() {
src_configure() {
configuration() {
- if ! python_is_python3; then
- local CFLAGS="${CFLAGS} -fno-strict-aliasing"
- fi
-
local incdir=$(python_get_includedir)
local myconf=(
"${PYTHON}"
diff --git a/dev-python/sip/sip-4.19.23.ebuild b/dev-python/sip/sip-4.19.24.ebuild
index 1403de3ddc17..e1310ec2b435 100644
--- a/dev-python/sip/sip-4.19.23.ebuild
+++ b/dev-python/sip/sip-4.19.24.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
inherit python-r1 toolchain-funcs
DESCRIPTION="Python extension module generator for C and C++ libraries"
@@ -50,10 +50,6 @@ src_prepare() {
src_configure() {
configuration() {
- if ! python_is_python3; then
- local CFLAGS="${CFLAGS} -fno-strict-aliasing"
- fi
-
local incdir=$(python_get_includedir)
local myconf=(
"${PYTHON}"
diff --git a/dev-python/toolz/Manifest b/dev-python/toolz/Manifest
index 9062c6b9aa41..e28d373b3092 100644
--- a/dev-python/toolz/Manifest
+++ b/dev-python/toolz/Manifest
@@ -1,2 +1,3 @@
DIST toolz-0.10.0.tar.gz 49579 BLAKE2B c323bf1ba1da5c01a1a1d879ef545767b8253c906baba63a0f600d2879c5b7120c4978574447954648c23c22221ba05de2a2c7437eed1eeff31dface1c823f6e SHA512 4ed40c165462440c6004974d2515067f211c625bebcb69ea854fd8837e1fe05febc546215355a6bb9de5916c8ba98a4d297f8aa20e40ffbc8a730b2bb3831a71
DIST toolz-0.11.0.tar.gz 64412 BLAKE2B 5b4a1fb4503767b91262ada31026c8ce26b98bb98967043dbbd2ecfa0011e200accc65d3a3923cbb69670aa305845d6825b3f0ed08f9e5a2c4e3a3854df1c62d SHA512 6c546561848d5156ae90fc7f11b219c4aa489c96d3d0c6e703b636dc7f0096fe95b986e7e1f33a0914b324bf807f6d66bec4c8ce2031c3aae3a3086bb1cb0596
+DIST toolz-0.11.1.tar.gz 64428 BLAKE2B 934f122bbf9e762e72f502f8b9ba8b5aa946b6e2b758e9501c2bc58fefa3443cda4b3e2c423be221643f51b2a12de0961be835ae3a23e97525fa203c969edff4 SHA512 8bea2b75b74d9da988c777577f3ad574192659dcc4bea54ac6d1400a81bef07818c49c8da40028a8c42905f9ab5b5111c50c239fb56f34c315865f90413af68b
diff --git a/dev-python/toolz/toolz-0.11.1.ebuild b/dev-python/toolz/toolz-0.11.1.ebuild
new file mode 100644
index 000000000000..96b77a31e285
--- /dev/null
+++ b/dev-python/toolz/toolz-0.11.1.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="List processing tools and functional utilities"
+HOMEPAGE="https://pypi.org/project/toolz/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest